﻿using DataModel.Database;

namespace UI_WinForms;

internal static class AppEvents
{
    #region Event: Section was changed

    // Section changed event which can be subscribed:
    internal static event EventHandler<Section> WhenSectionChanged;
    
    // Method to raise the section changed event:
    internal static void SectionChanged(Section section) => WhenSectionChanged?.Invoke(null, section);

    #endregion

    #region Event: Text element was changed

    // Text element changed event which can be subscribed:
    internal static event EventHandler<TextElement?> WhenTextElementChanged;
    
    // Method to raise the text element changed event:
    internal static void TextElementChanged(TextElement? textElement) => WhenTextElementChanged?.Invoke(null, textElement);

    #endregion
}